Package com.evopdf

# Enum LineJoinStyle

java.lang.Object
java.lang.Enum<LineJoinStyle>
com.evopdf.LineJoinStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineJoinStyle>`, `java.lang.constant.Constable`

public enum LineJoinStyle extends Enum<LineJoinStyle>
This enumeration represents the possible styles to join the lines in a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BevelJoin`
  The two segments are finished with caps (see "Line Cap Style") and the resulting notch beyond the ends of the segments is filled with a triangle.
  `Default`
  Default line join style.
  `MiterJoin`
  The outer edges of the strokes for the two segments are extended until they meet at an angle, as in a picture frame.
  `RoundJoin`
  An arc of a circle with a diameter equal to the line width is drawn around the point where the two segments meet, connecting the outer edges of the strokes for the two segments.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static LineJoinStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LineJoinStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final LineJoinStyle Default
    Default line join style.

  - ### MiterJoin

    public static final LineJoinStyle MiterJoin
    The outer edges of the strokes for the two segments are extended until they meet at an angle, as in a picture frame. If the segments meet at too sharp an angle (as defined by the miter limit parameter— see "Miter Limit"), a bevel join is used instead.

  - ### RoundJoin

    public static final LineJoinStyle RoundJoin
    An arc of a circle with a diameter equal to the line width is drawn around the point where the two segments meet, connecting the outer edges of the strokes for the two segments. This pie slice-shaped figure is filled in, producing a rounded corner.

  - ### BevelJoin

    public static final LineJoinStyle BevelJoin
    The two segments are finished with caps (see "Line Cap Style") and the resulting notch beyond the ends of the segments is filled with a triangle.

- ## Method Details

  - ### values

    public static LineJoinStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LineJoinStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()